Search for all
- Search 7.x for all
- Search 8.9.x for all
- Search 10.3.x for all
- Search 11.x for all
- Search main for all
- Other projects
| Title | Object type | File name | Summary |
|---|---|---|---|
| PageRenderTest.php | file | core/ |
|
| PageRenderTest::assertPageRenderHookExceptions | function | core/ |
Asserts whether expected exceptions are thrown for invalid hook implementations. |
| PageRenderTest::testHookPageAlter | function | core/ |
Tests hook_page_attachments_alter() exceptions. |
| PageRenderTest::testHookPageAttachmentsExceptions | function | core/ |
Tests hook_page_attachments() exceptions. |
| PageRenderTest::testHtmlRendererAttachmentsRenderContext | function | core/ |
Tests HtmlRenderer::invokePageAttachmentHooks in a render context. |
| PagerKernelTest | class | core/ |
Tests pager-related APIs. |
| PagerKernelTest.php | file | core/ |
|
| PagerKernelTest::$modules | property | core/ |
Modules to enable. |
| PagerKernelTest::$testViews | property | core/ |
Views to be enabled. |
| PagerKernelTest::setUp | function | core/ |
|
| PagerKernelTest::testSetPagerMethods | function | core/ |
Tests pager-related setter methods on ViewExecutable. |
| PagerManager | class | core/ |
Provides a manager for pagers. |
| PagerManager.php | file | core/ |
|
| PagerManager::$maxPagerElementId | property | core/ |
The highest pager ID created so far. |
| PagerManager::$pagerParams | property | core/ |
The pager parameters. |
| PagerManager::$pagers | property | core/ |
An associative array of pagers. |
| PagerManager::createPager | function | core/ |
Initializes a pager. |
| PagerManager::findPage | function | core/ |
Returns the current page being requested for display within a pager. |
| PagerManager::getMaxPagerElementId | function | core/ |
Gets the extent of the pager page element IDs. |
| PagerManager::getPager | function | core/ |
Gets a pager from the static cache. |
| PagerManager::getUpdatedParameters | function | core/ |
Gets the URL query parameter array of a pager link. |
| PagerManager::reservePagerElementId | function | core/ |
Reserve a pager element ID. |
| PagerManager::setPager | function | core/ |
Saves a pager to the static cache. |
| PagerManager::__construct | function | core/ |
Construct a PagerManager object. |
| PagerManagerInterface | interface | core/ |
This is a service for pager information. |
| PagerManagerInterface.php | file | core/ |
|
| PagerManagerInterface::createPager | function | core/ |
Initializes a pager. |
| PagerManagerInterface::findPage | function | core/ |
Returns the current page being requested for display within a pager. |
| PagerManagerInterface::getMaxPagerElementId | function | core/ |
Gets the extent of the pager page element IDs. |
| PagerManagerInterface::getPager | function | core/ |
Gets a pager from the static cache. |
| PagerManagerInterface::getUpdatedParameters | function | core/ |
Gets the URL query parameter array of a pager link. |
| PagerManagerInterface::reservePagerElementId | function | core/ |
Reserve a pager element ID. |
| PagerManagerTest | class | core/ |
@group Pager |
| PagerManagerTest.php | file | core/ |
|
| PagerManagerTest::providerTestGetMaxPagerElementId | function | core/ |
Provides test cases for PagerManagerTest::testGetMaxPagerElementId(). |
| PagerManagerTest::testFindPage | function | core/ |
@covers ::findPage[[api-linebreak]] |
| PagerManagerTest::testGetMaxPagerElementId | function | core/ |
@covers ::getMaxPagerElementId[[api-linebreak]] |
| PagerManagerTest::testGetUpdatedParameters | function | core/ |
@covers ::getUpdatedParameters[[api-linebreak]] |
| PagerParameters | class | core/ |
Provides pager information contained within the current request. |
| PagerParameters.php | file | core/ |
|
| PagerParameters::$requestStack | property | core/ |
The HTTP request stack. |
| PagerParameters::findPage | function | core/ |
Returns the current page being requested for display within a pager. |
| PagerParameters::getPagerParameter | function | core/ |
Gets the 'page' query parameter for the current request. |
| PagerParameters::getPagerQuery | function | core/ |
Gets the request query parameter. |
| PagerParameters::getQueryParameters | function | core/ |
Gets all request URL query parameters that are unrelated to paging. |
| PagerParameters::__construct | function | core/ |
Construct a PagerManager object. |
| PagerParametersInterface | interface | core/ |
Interface describing pager information contained within the request. |
| PagerParametersInterface.php | file | core/ |
|
| PagerParametersInterface::findPage | function | core/ |
Returns the current page being requested for display within a pager. |
| PagerParametersInterface::getPagerParameter | function | core/ |
Gets the 'page' query parameter for the current request. |
Pagination
- Previous page
- Page 1132
- Next page
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.